Categories:
  - Time
License: GPL-3.0-only
AuthorName: Ebrahim Byagowi
AuthorEmail: ebrahim@gnu.org
WebSite: https://github.com/persian-calendar/persian-calendar/wiki
SourceCode: https://github.com/persian-calendar/persian-calendar
IssueTracker: https://github.com/persian-calendar/persian-calendar/issues
Changelog: https://github.com/persian-calendar/persian-calendar/releases

AutoName: Persian Calendar

RepoType: git
Repo: https://github.com/persian-calendar/persian-calendar.git

Builds:
  - versionName: '1.98'
    versionCode: 18
    commit: '85329'
    srclibs:
      - PrayTimes@0b8576aa74
    prebuild:
      - rm -rf libs
      - cp -r $$PrayTimes$$/java/src/PrayTimes/src/* src/

  - versionName: '2.04'
    versionCode: 24
    commit: 04e6dd9c4

  - versionName: '2.09'
    versionCode: 29
    commit: 14c35f5d215390ef6d287395112d471c67890fb4

  - versionName: '3.06'
    versionCode: 36
    commit: 9f3293ecca
    srclibs:
      - ColorPickerPreference@a6ffb91b1c
    prebuild:
      - rm -rf extra
      - sed -i 's@\.1=.*@.1=$$ColorPickerPreference$$@' project.properties

  - versionName: '3.08'
    versionCode: 38
    commit: 03e3a31d88
    srclibs:
      - ColorPicker-Ebraminio@27deadaffe
    prebuild:
      - rm -rf extra
      - sed -i 's@\.1=.*@.1=$$ColorPicker-Ebraminio$$@' project.properties

  - versionName: '4.02'
    versionCode: 42
    commit: 84a7b52237
    subdir: PersianCalendar
    gradle:
      - yes
    rm:
      - extra/

  - versionName: '4.03'
    versionCode: 43
    commit: '4.03'
    subdir: PersianCalendar
    gradle:
      - yes
    rm:
      - extra/

  - versionName: '4.04'
    versionCode: 44
    commit: '4.04'
    subdir: PersianCalendar
    gradle:
      - yes
    rm:
      - extra/

  - versionName: '4.05'
    versionCode: 45
    commit: v4.05
    subdir: PersianCalendar
    gradle:
      - yes
    rm:
      - extra/

  - versionName: '4.06'
    versionCode: 46
    commit: v4.06
    subdir: PersianCalendar
    gradle:
      - yes
    rm:
      - extra/

  - versionName: '4.07'
    versionCode: 47
    commit: v4.07
    subdir: PersianCalendar
    gradle:
      - yes
    forceversion: true
    forcevercode: true
    rm:
      - extra/

  - versionName: '4.08'
    versionCode: 48
    commit: 65c8483d146a581503d3bd080a54a2ffa55d8122
    subdir: PersianCalendar
    gradle:
      - yes
    rm:
      - extra/

  - versionName: '4.09'
    versionCode: 49
    commit: v4.09
    subdir: PersianCalendar
    gradle:
      - yes
    rm:
      - extra/

  - versionName: 4.1.0
    versionCode: 410
    commit: v4.1.0
    subdir: PersianCalendar
    gradle:
      - yes
    rm:
      - extra/

  - versionName: 4.1.1
    versionCode: 411
    commit: v4.1.1
    subdir: PersianCalendar
    gradle:
      - yes
    rm:
      - extra/

  - versionName: 4.1.2
    versionCode: 412
    commit: v4.1.2
    subdir: PersianCalendar
    gradle:
      - yes
    rm:
      - extra/

  - versionName: 5.0.0
    versionCode: 500
    commit: v5.0.0
    subdir: PersianCalendar
    gradle:
      - yes

  - versionName: 5.0.1
    versionCode: 501
    commit: v5.0.1
    subdir: PersianCalendar
    gradle:
      - yes

  - versionName: 5.0.2
    versionCode: 502
    commit: v5.0.2
    subdir: PersianCalendar
    gradle:
      - yes

  - versionName: 5.0.3
    versionCode: 503
    commit: v5.0.3
    subdir: PersianCalendar
    gradle:
      - yes

  - versionName: 5.0.5
    versionCode: 505
    commit: v5.0.5
    subdir: PersianCalendar
    gradle:
      - yes

  - versionName: 5.0.6
    versionCode: 506
    commit: v5.0.6
    subdir: PersianCalendar
    gradle:
      - yes

  - versionName: 5.1.0
    versionCode: 510
    commit: v5.1.0
    subdir: PersianCalendar
    gradle:
      - yes

  - versionName: 5.2.1
    versionCode: 521
    commit: v5.2.1
    subdir: PersianCalendar
    gradle:
      - yes

  - versionName: 5.2.2
    versionCode: 522
    commit: v5.2.2
    subdir: PersianCalendar
    gradle:
      - yes

  - versionName: 5.3.1
    versionCode: 531
    commit: v5.3.1
    subdir: PersianCalendar
    gradle:
      - yes

  - versionName: 5.4.0
    versionCode: 540
    disable: Could not find com.android.tools.build:gradle:3.0.1
    commit: v5.4.0
    subdir: PersianCalendar
    gradle:
      - yes

  - versionName: 5.5.1
    versionCode: 551
    commit: v5.5.1
    subdir: PersianCalendar
    gradle:
      - yes

  - versionName: 5.6.0
    versionCode: 560
    commit: v5.6.0
    subdir: PersianCalendar
    gradle:
      - yes

  - versionName: 5.7.2
    versionCode: 572
    disable: 'ProGuard: Duplicate jar entry [android/support/v4/d/b$a.class]'
    commit: v5.7.2
    subdir: PersianCalendar
    gradle:
      - yes

  - versionName: 5.8.1
    versionCode: 581
    commit: v5.8.1
    subdir: PersianCalendar
    gradle:
      - yes

  - versionName: 5.8.6
    versionCode: 586
    commit: v5.8.6
    subdir: PersianCalendar
    gradle:
      - yes

  - versionName: 5.8.7
    versionCode: 587
    commit: v5.8.7
    subdir: PersianCalendar
    gradle:
      - yes

  - versionName: 5.8.8
    versionCode: 588
    commit: v5.8.8
    subdir: PersianCalendar
    gradle:
      - yes

  - versionName: 5.9.1
    versionCode: 591
    commit: v5.9.1
    subdir: PersianCalendar
    gradle:
      - yes

  - versionName: 5.9.2
    versionCode: 592
    commit: v5.9.2
    subdir: PersianCalendar
    gradle:
      - yes

  - versionName: 5.9.3
    versionCode: 593
    commit: v5.9.3
    subdir: PersianCalendar
    gradle:
      - yes

  - versionName: 5.9.4
    versionCode: 594
    commit: v5.9.4
    subdir: PersianCalendar
    gradle:
      - yes

  - versionName: 6.2.1
    versionCode: 621
    commit: v6.2.1
    subdir: PersianCalendar
    gradle:
      - yes

  - versionName: 6.2.2
    versionCode: 622
    commit: v6.2.2
    subdir: PersianCalendar
    submodules: true
    gradle:
      - yes

  - versionName: 6.2.3
    versionCode: 623
    commit: v6.2.3
    subdir: PersianCalendar
    submodules: true
    gradle:
      - yes

  - versionName: 6.3.0
    versionCode: 630
    commit: v6.3.0
    subdir: PersianCalendar
    submodules: true
    gradle:
      - yes

  - versionName: 6.3.1
    versionCode: 631
    commit: v6.3.1
    subdir: PersianCalendar
    submodules: true
    gradle:
      - yes

  - versionName: 6.3.2
    versionCode: 632
    commit: v6.3.2
    subdir: PersianCalendar
    submodules: true
    gradle:
      - yes

  - versionName: 6.4.0
    versionCode: 640
    commit: v6.4.0
    subdir: PersianCalendar
    submodules: true
    gradle:
      - yes

  - versionName: 6.4.1
    versionCode: 641
    commit: v6.4.1
    subdir: PersianCalendar
    submodules: true
    gradle:
      - yes

  - versionName: 6.5.0
    versionCode: 650
    commit: v6.5.0
    subdir: PersianCalendar
    submodules: true
    gradle:
      - yes

  - versionName: 6.5.1
    versionCode: 651
    commit: v6.5.1
    subdir: PersianCalendar
    submodules: true
    gradle:
      - yes

  - versionName: 6.6.0
    versionCode: 660
    commit: v6.6.0
    subdir: PersianCalendar
    submodules: true
    gradle:
      - yes

  - versionName: 6.6.2
    versionCode: 662
    commit: v6.6.2
    subdir: PersianCalendar
    submodules: true
    gradle:
      - yes

  - versionName: 6.7.0
    versionCode: 670
    commit: 4b2c5a104e6729085d51006869a03dfd5c5bf3ed
    subdir: PersianCalendar
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 6.8.3
    versionCode: 683
    commit: 9228d8f06b99fc09adbe007a44654c4bb97494fd
    subdir: PersianCalendar
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - minApi17

  - versionName: 7.0.0
    versionCode: 700
    commit: 32d4ae646c04128c000de7ce0695a724578c713b
    subdir: PersianCalendar
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - minApi17

  - versionName: 7.1.0
    versionCode: 710
    commit: c2cd2e38e0a768b654c5159bc8fd693788812513
    subdir: PersianCalendar
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - minApi17

  - versionName: 7.1.1
    versionCode: 711
    commit: bbbeeeb96193b23830488be2d347323b99afbb30
    subdir: PersianCalendar
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - minApi17

  - versionName: 7.1.2
    versionCode: 712
    commit: 06aadcfac039553a5f9a4f25932adfb5b294fdfa
    subdir: PersianCalendar
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - minApi17

  - versionName: 7.2.0
    versionCode: 720
    commit: e2b89ad4870f25565beeeee4ca79f1bfbe076d34
    subdir: PersianCalendar
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - minApi17

  - versionName: 7.3.0
    versionCode: 730
    commit: 5f080e79353817b330bbe04ef97ae0ee85668e0c
    subdir: PersianCalendar
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - minApi17

  - versionName: 7.4.0
    versionCode: 740
    commit: a0bc19f08013d34ca4c6425068376fefd33a98db
    subdir: PersianCalendar
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - minApi17
    scanignore:
      - PersianCalendar/src/main/res/raw/worldmap.gz

  - versionName: 7.5.0
    versionCode: 750
    commit: 608c6984e6a278f96ce9b2f29b6a1ba85fd2f0fe
    subdir: PersianCalendar
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - minApi17
    scanignore:
      - PersianCalendar/src/main/res/raw/worldmap.gz
    scandelete:
      - gradlePlugins

  - versionName: 7.6.0
    versionCode: 760
    commit: 7e58478dc3f7bcc77335328c0f00d25397776f4b
    subdir: PersianCalendar
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - minApi17
    scanignore:
      - PersianCalendar/src/main/res/raw/worldmap.gz
    scandelete:
      - gradlePlugins

  - versionName: 7.6.5
    versionCode: 765
    commit: 811f0c8cc29b547004550b9549e58174497d04ed
    subdir: PersianCalendar
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - minApi17
    scanignore:
      - PersianCalendar/src/main/res/raw/worldmap.gz
    scandelete:
      - gradlePlugins

  - versionName: 7.7.0
    versionCode: 770
    commit: a38e680e704bd2004c76b6c81dd60f1721a45a3a
    subdir: PersianCalendar
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - minApi17
    scanignore:
      - PersianCalendar/src/main/res/raw/worldmap.gz
    scandelete:
      - gradlePlugins

AutoUpdateMode: Version v%v
UpdateCheckMode: Tags ^[0-9.v]*$
CurrentVersion: 7.7.0
CurrentVersionCode: 770
